質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.12%

phpファイルをコマンド実行したときのエラー

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,903

ssall

score 27

phpファイルをコマンドラインから実行しようとした際、下記のようなエラーが表示され、実行できません。

[root@localhost ~]# sudo -u apache php test.php 1
PHP Warning:  PHP Startup: dbase: Unable to initialize module
Module compiled with module API=20050922
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  Module 'json' already loaded in Unknown on line 0
Could not open input file: test.php


Warningエラーであり、実行自体に問題は無いのでは?と思うですが、現状ファイルが開けないと言われて実行できません。
このエラー内容とは別に、何か他の原因があって実行できないことも考えていますが、情けないことにその切り分けもできていません。

しかし、いずれにしてもこのエラーも対処しなければならないため、何か対応方法をご教示頂けたら幸いです。

下記が使用環境です。(php -vで確認した際にもエラー表示されます)

[root@localhost ~]# cat /etc/redhat-release
CentOS release 6.8 (Final)
[root@localhost ~]# php -v
PHP Warning:  PHP Startup: dbase: Unable to initialize module
Module compiled with module API=20050922
PHP    compiled with module API=20090626
These options need to match
 in Unknown on line 0
PHP Warning:  Module 'json' already loaded in Unknown on line 0
PHP 5.3.3 (cli) (built: Aug 11 2016 20:23:18) 
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with Xdebug v2.1.4, Copyright (c) 2002-2012, by Derick Rethans


以上です。
よろしくお願い致します。


追記
php -i の実行結果の一部抜粋です。

Loaded Configuration File => /etc/php.ini
Scan this dir for additional .ini files => /etc/php.d
Additional .ini files parsed => /etc/php.d/bzcard.ini,
/etc/php.d/curl.ini,
/etc/php.d/dbase.ini,
/etc/php.d/dom.ini,
/etc/php.d/fileinfo.ini,
/etc/php.d/json.ini,
/etc/php.d/ldap.ini,
/etc/php.d/mbstring.ini,
/etc/php.d/mcrypt.ini,
/etc/php.d/pdo.ini,
/etc/php.d/pdo_pgsql.ini,
/etc/php.d/pdo_sqlite.ini,
/etc/php.d/pgsql.ini,
/etc/php.d/phar.ini,
/etc/php.d/soap.ini,
/etc/php.d/sqlite3.ini,
/etc/php.d/wddx.ini,
/etc/php.d/xdebug.ini,
/etc/php.d/xmlreader.ini,
/etc/php.d/xmlwriter.ini,
/etc/php.d/xsl.ini,
/etc/php.d/zip.ini
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

PECL 拡張モジュール関連エラーのようですが、

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/09/05 13:50

    jsonのエラーについて、php.iniの最後にextension=json.soという記述があったので、ここをコメントアウトして再度コマンド実行してみたところ、エラーは消えました。
    有難うございます。

    dbase側の解決方法がまだわかっていません。These options need to matchとでていますが、これもjsonと同じくどこかで重複しているからでてくるエラーなのでしょうか。

    キャンセル

  • 2016/09/05 13:59

    PHPのバージョンと、dbaseモジュールのバージョンが一致?互換性がないため、あの警告が表示されるかと思います。

    キャンセル

  • 2016/09/05 16:24

    dbaseモジュールのバージョンが合わないということなので、再インストールしてみたところ、エラーが消えて正常に動作するようになりました。

    何度もコメント頂きありがとうございました!

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.12%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る